Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.fxcm.fix
Class PosReqResultFactory

    java.lang.Object
      com.fxcm.fix.PosReqResultFactory

    public class PosReqResultFactory

extends Object

Result code of Request for Position

Field Summary
`static IPosReqResult` | `INVALID_OR_UNSUPPORTED_REQUEST` Invalid Position Request
`static IPosReqResult` | `NO_POSITIONS_FOUND_THAT_MATCH_CRITERIA` No Positions found
`static IPosReqResult` | `NOT_AUTHORIZED_TO_REQUEST_POSITIONS` No permision to request positions
`static IPosReqResult` | `OTHER` Other untyped request result
`static IPosReqResult` | `REQUEST_FOR_POSITION_NOT_SUPPORTED` Unspported request for positions
`static IPosReqResult` | `VALID_REQUEST` Valid Position Request

Constructor Summary
`PosReqResultFactory()`

Method Summary
`static IPosReqResult` | `toCode(int aCode)` Converts a status code to a fix object

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### VALID_REQUEST

    public static final IPosReqResult VALID_REQUEST

  Valid Position Request

### INVALID_OR_UNSUPPORTED_REQUEST

    public static final IPosReqResult INVALID_OR_UNSUPPORTED_REQUEST

  Invalid Position Request

### NO_POSITIONS_FOUND_THAT_MATCH_CRITERIA

    public static final IPosReqResult NO_POSITIONS_FOUND_THAT_MATCH_CRITERIA

  No Positions found

### NOT_AUTHORIZED_TO_REQUEST_POSITIONS

    public static final IPosReqResult NOT_AUTHORIZED_TO_REQUEST_POSITIONS

  No permision to request positions

### REQUEST_FOR_POSITION_NOT_SUPPORTED

    public static final IPosReqResult REQUEST_FOR_POSITION_NOT_SUPPORTED

  Unspported request for positions

### OTHER

    public static final IPosReqResult OTHER

  Other untyped request result

Constructor Detail

### PosReqResultFactory

    public PosReqResultFactory()

Method Detail

### toCode

    public static IPosReqResult toCode(int aCode)

  Converts a status code to a fix object

  Parameters:
    `aCode` - ``POSREQRESULT_*``
  Returns:
    position request result fix object

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012 FXCM, LLC. All Rights Reserved.